#------------------------------------------------------------------------
#
#   IBM Software
#   Licensed Material - Property of IBM
#   (C) Copyright International Business Machines Corp. 2006, 2017
#   All Rights Reserved.
#
#   U.S. Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
#------------------------------------------------------------------------
# Syscalls
#------------------------------------------------------------------------

#########################################################
#
# This converts Linux System Calls to their String Name 
#
#########################################################
proc linux_syscalls_init {} {
    global linux_syscall

    set linux_syscall(0) _restart_syscall
    set linux_syscall(1) _exit
    set linux_syscall(2) _fork
    set linux_syscall(3) _read
    set linux_syscall(4) _write
    set linux_syscall(5) _open
    set linux_syscall(6) _close
    set linux_syscall(7) _waitpid
    set linux_syscall(8) _creat
    set linux_syscall(9) _link
    set linux_syscall(10) _unlink
    set linux_syscall(11) _execve
    set linux_syscall(12) _chdir
    set linux_syscall(13) _time
    set linux_syscall(14) _mknod
    set linux_syscall(15) _chmod
    set linux_syscall(16) _lchown
    set linux_syscall(17) _break
    set linux_syscall(18) _oldstat
    set linux_syscall(19) _lseek
    set linux_syscall(20) _getpid
    set linux_syscall(21) _mount
    set linux_syscall(22) _umount
    set linux_syscall(23) _setuid
    set linux_syscall(24) _getuid
    set linux_syscall(25) _stime
    set linux_syscall(26) _ptrace
    set linux_syscall(27) _alarm
    set linux_syscall(28) _oldfstat
    set linux_syscall(29) _pause
    set linux_syscall(30) _utime
    set linux_syscall(31) _stty
    set linux_syscall(32) _gtty
    set linux_syscall(33) _access
    set linux_syscall(34) _nice
    set linux_syscall(35) _ftime
    set linux_syscall(36) _sync
    set linux_syscall(37) _kill
    set linux_syscall(38) _rename
    set linux_syscall(39) _mkdir
    set linux_syscall(40) _rmdir
    set linux_syscall(41) _dup
    set linux_syscall(42) _pipe
    set linux_syscall(43) _times
    set linux_syscall(44) _prof
    set linux_syscall(45) _brk
    set linux_syscall(46) _setgid
    set linux_syscall(47) _getgid
    set linux_syscall(48) _signal
    set linux_syscall(49) _geteuid
    set linux_syscall(50) _getegid
    set linux_syscall(51) _acct
    set linux_syscall(52) _umount2
    set linux_syscall(53) _lock
    set linux_syscall(54) _ioctl
    set linux_syscall(55) _fcntl
    set linux_syscall(56) _mpx
    set linux_syscall(57) _setpgid
    set linux_syscall(58) _ulimit
    set linux_syscall(59) _oldolduname
    set linux_syscall(60) _umask
    set linux_syscall(61) _chroot
    set linux_syscall(62) _ustat
    set linux_syscall(63) _dup2
    set linux_syscall(64) _getppid
    set linux_syscall(65) _getpgrp
    set linux_syscall(66) _setsid
    set linux_syscall(67) _sigaction
    set linux_syscall(68) _sgetmask
    set linux_syscall(69) _ssetmask
    set linux_syscall(70) _setreuid
    set linux_syscall(71) _setregid
    set linux_syscall(72) _sigsuspend
    set linux_syscall(73) _sigpending
    set linux_syscall(74) _sethostname
    set linux_syscall(75) _setrlimit
    set linux_syscall(76) _getrlimit
    set linux_syscall(77) _getrusage
    set linux_syscall(78) _gettimeofday
    set linux_syscall(79) _settimeofday
    set linux_syscall(80) _getgroups
    set linux_syscall(81) _setgroups
    set linux_syscall(82) _select
    set linux_syscall(83) _symlink
    set linux_syscall(84) _oldlstat
    set linux_syscall(85) _readlink
    set linux_syscall(86) _uselib
    set linux_syscall(87) _swapon
    set linux_syscall(88) _reboot
    set linux_syscall(89) _readdir
    set linux_syscall(90) _mmap
    set linux_syscall(91) _munmap
    set linux_syscall(92) _truncate
    set linux_syscall(93) _ftruncate
    set linux_syscall(94) _fchmod
    set linux_syscall(95) _fchown
    set linux_syscall(96) _getpriority
    set linux_syscall(97) _setpriority
    set linux_syscall(98) _profil
    set linux_syscall(99) _statfs
    set linux_syscall(100) _fstatfs
    set linux_syscall(101) _ioperm
    set linux_syscall(102) _socketcall
    set linux_syscall(103) _syslog
    set linux_syscall(104) _setitimer
    set linux_syscall(105) _getitimer
    set linux_syscall(106) _stat
    set linux_syscall(107) _lstat
    set linux_syscall(108) _fstat
    set linux_syscall(109) _olduname
    set linux_syscall(110) _iopl
    set linux_syscall(111) _vhangup
    set linux_syscall(112) _idle
    set linux_syscall(113) _vm86
    set linux_syscall(114) _wait4
    set linux_syscall(115) _swapoff
    set linux_syscall(116) _sysinfo
    set linux_syscall(117) _ipc
    set linux_syscall(118) _fsync
    set linux_syscall(119) _sigreturn
    set linux_syscall(120) _clone
    set linux_syscall(121) _setdomainname
    set linux_syscall(122) _uname
    set linux_syscall(123) _modify_ldt
    set linux_syscall(124) _adjtimex
    set linux_syscall(125) _mprotect
    set linux_syscall(126) _sigprocmask
    set linux_syscall(127) _create_module
    set linux_syscall(128) _init_module
    set linux_syscall(129) _delete_module
    set linux_syscall(130) _get_kernel_syms
    set linux_syscall(131) _quotactl
    set linux_syscall(132) _getpgid
    set linux_syscall(133) _fchdir
    set linux_syscall(134) _bdflush
    set linux_syscall(135) _sysfs
    set linux_syscall(136) _personality
    set linux_syscall(137) _afs_syscall
    set linux_syscall(138) _setfsuid
    set linux_syscall(139) _setfsgid
    set linux_syscall(140) __llseek
    set linux_syscall(141) _getdents
    set linux_syscall(142) __newselect
    set linux_syscall(143) _flock
    set linux_syscall(144) _msync
    set linux_syscall(145) _readv
    set linux_syscall(146) _writev
    set linux_syscall(147) _getsid
    set linux_syscall(148) _fdatasync
    set linux_syscall(149) __sysctl
    set linux_syscall(150) _mlock
    set linux_syscall(151) _munlock
    set linux_syscall(152) _mlockall
    set linux_syscall(153) _munlockall
    set linux_syscall(154) _sched_setparam
    set linux_syscall(155) _sched_getparam
    set linux_syscall(156) _sched_setscheduler
    set linux_syscall(157) _sched_getscheduler
    set linux_syscall(158) _sched_yield
    set linux_syscall(159) _sched_get_priority_max
    set linux_syscall(160) _sched_get_priority_min
    set linux_syscall(161) _sched_rr_get_interval
    set linux_syscall(162) _nanosleep
    set linux_syscall(163) _mremap
    set linux_syscall(164) _setresuid
    set linux_syscall(165) _getresuid
    set linux_syscall(166) _query_module
    set linux_syscall(167) _poll
    set linux_syscall(168) _nfsservctl
    set linux_syscall(169) _setresgid
    set linux_syscall(170) _getresgid
    set linux_syscall(171) _prctl
    set linux_syscall(172) _rt_sigreturn
    set linux_syscall(173) _rt_sigaction
    set linux_syscall(174) _rt_sigprocmask
    set linux_syscall(175) _rt_sigpending
    set linux_syscall(176) _rt_sigtimedwait
    set linux_syscall(177) _rt_sigqueueinfo
    set linux_syscall(178) _rt_sigsuspend
    set linux_syscall(179) _pread64
    set linux_syscall(180) _pwrite64
    set linux_syscall(181) _chown
    set linux_syscall(182) _getcwd
    set linux_syscall(183) _capget
    set linux_syscall(184) _capset
    set linux_syscall(185) _sigaltstack
    set linux_syscall(186) _sendfile
    set linux_syscall(187) _getpmsg
    set linux_syscall(188) _putpmsg
    set linux_syscall(189) _vfork
    set linux_syscall(190) _ugetrlimit
    set linux_syscall(191) _readahead
    set linux_syscall(192) _mmap2
    set linux_syscall(193) _truncate64
    set linux_syscall(194) _ftruncate64
    set linux_syscall(195) _stat64
    set linux_syscall(196) _lstat64
    set linux_syscall(197) _fstat64
    set linux_syscall(198) _pciconfig_read
    set linux_syscall(199) _pciconfig_write
    set linux_syscall(200) _pciconfig_iobase
    set linux_syscall(201) _multiplexer
    set linux_syscall(202) _getdents64
    set linux_syscall(203) _pivot_root
    set linux_syscall(204) _fcntl64
    set linux_syscall(205) _madvise
    set linux_syscall(206) _mincore
    set linux_syscall(207) _gettid
    set linux_syscall(208) _tkill
    set linux_syscall(209) _setxattr
    set linux_syscall(210) _lsetxattr
    set linux_syscall(211) _fsetxattr
    set linux_syscall(212) _getxattr
    set linux_syscall(213) _lgetxattr
    set linux_syscall(214) _fgetxattr
    set linux_syscall(215) _listxattr
    set linux_syscall(216) _llistxattr
    set linux_syscall(217) _flistxattr
    set linux_syscall(218) _removexattr
    set linux_syscall(219) _lremovexattr
    set linux_syscall(220) _fremovexattr
    set linux_syscall(221) _futex
    set linux_syscall(222) _sched_setaffinity
    set linux_syscall(223) _sched_getaffinity
    set linux_syscall(225) _tuxcall
    set linux_syscall(226) _sendfile64
    set linux_syscall(227) _io_setup
    set linux_syscall(228) _io_destroy
    set linux_syscall(229) _io_getevents
    set linux_syscall(230) _io_submit
    set linux_syscall(231) _io_cancel
    set linux_syscall(232) _set_tid_address
    set linux_syscall(233) _fadvise64
    set linux_syscall(234) _exit_group
    set linux_syscall(235) _lookup_dcookie
    set linux_syscall(236) _epoll_create
    set linux_syscall(237) _epoll_ctl
    set linux_syscall(238) _epoll_wait
    set linux_syscall(239) _remap_file_pages
    set linux_syscall(240) _timer_create
    set linux_syscall(241) _timer_settime
    set linux_syscall(242) _timer_gettime
    set linux_syscall(243) _timer_getoverrun
    set linux_syscall(244) _timer_delete
    set linux_syscall(245) _clock_settime
    set linux_syscall(246) _clock_gettime
    set linux_syscall(247) _clock_getres
    set linux_syscall(248) _clock_nanosleep
    set linux_syscall(249) _swapcontext
    set linux_syscall(250) _tgkill
    set linux_syscall(251) _utimes
    set linux_syscall(252) _statfs64
    set linux_syscall(253) _fstatfs64
    set linux_syscall(254) _fadvise64_64
    set linux_syscall(255) _rtas
    set linux_syscall(256) _sys_debug_setcontext
    set linux_syscall(258) _migrate_pages
    set linux_syscall(259) _mbind
    set linux_syscall(260) _get_mempolicy
    set linux_syscall(261) _set_mempolicy
    set linux_syscall(262) _mq_open
    set linux_syscall(263) _mq_unlink
    set linux_syscall(264) _mq_timedsend
    set linux_syscall(265) _mq_timedreceive
    set linux_syscall(266) _mq_notify
    set linux_syscall(267) _mq_getsetattr
    set linux_syscall(268) _kexec_load
    set linux_syscall(269) _add_key
    set linux_syscall(270) _request_key
    set linux_syscall(271) _keyctl
    set linux_syscall(272) _waitid
    set linux_syscall(273) _ioprio_set
    set linux_syscall(274) _ioprio_get
    set linux_syscall(275) _inotify_init
    set linux_syscall(276) _inotify_add_watch
    set linux_syscall(277) _inotify_rm_watch
    set linux_syscall(278) _spu_run
    set linux_syscall(279) _spu_create
    set linux_syscall(280) _pselect6
    set linux_syscall(281) _ppoll
    set linux_syscall(282) _unshare
    set linux_syscall(283) _splice
    set linux_syscall(284) _tee
    set linux_syscall(285) _vmsplice
    set linux_syscall(286) _openat
    set linux_syscall(287) _mkdirat
    set linux_syscall(288) _mknodat
    set linux_syscall(289) _fchownat
    set linux_syscall(290) _futimesat
    set linux_syscall(291) _fstatat64
    set linux_syscall(292) _unlinkat
    set linux_syscall(293) _renameat
    set linux_syscall(294) _linkat
    set linux_syscall(295) _symlinkat
    set linux_syscall(296) _readlinkat
    set linux_syscall(297) _fchmodat
    set linux_syscall(298) _faccessat
    set linux_syscall(299) _get_robust_list
    set linux_syscall(300) _set_robust_list
    set linux_syscall(301) _move_pages
    set linux_syscall(302) _getcpu
    set linux_syscall(303) _epoll_pwait
    set linux_syscall(304) _utimensat
    set linux_syscall(305) _signalfd
    set linux_syscall(306) _timerfd
    set linux_syscall(307) _eventfd
    set linux_syscall(308) _sync_file_range2
    set linux_syscall(309) _pfm_create_context
    set linux_syscall(310) _pfm_write_pmcs
    set linux_syscall(312) _pfm_write_pmds
    set linux_syscall(313) _pfm_read_pmds
    set linux_syscall(314) _pfm_load_context
    set linux_syscall(315) _pfm_start
    set linux_syscall(316) _pfm_stop
    set linux_syscall(317) _pfm_restart
    set linux_syscall(318) _pfm_create_evtsets
    set linux_syscall(319) _pfm_getinfo_evtsets
    set linux_syscall(320) _pfm_delete_evtsets
    set linux_syscall(321) _pfm_unload_context

    set linux_syscall(max)  321
}

